function output_sample=DIRICHLET_RND(theta)



dimension=length(theta);
output_sample=zeros(dimension,1);

inv_sum=sum(theta(2:end));
output_sample(1)=betarnd(theta(1),inv_sum);
output_sum=output_sample(1);

for m=2:dimension-1
    inv_sum=inv_sum-theta(m);    
    output_sample(m)=betarnd(theta(m),inv_sum)*(1-output_sum);
    output_sum=output_sum+output_sample(m);
end

output_sample(end)=1-output_sum;
